vexpower_defaults = {
	["variableversion"] = 13,
	["blizzhide"] = {
		["chi"] = true,
		["holypower"] = true,
		["cps"] = true,
		["lockShards"] = true,
		},
	["fadeOutTime"] = 1,
	["sound"] = {
		["activate"] = false,
		["x"] = 3,
		["channel"] = "Master",
		["file"] = "",
		},
	["classSpec"] = {
		["rogue"] = {
			["cps"] = true,
			["anticipation"] = true,
			["anti2ndRow"] = true,
			["anti2ndRowhalfHeight"] = true,
			},
		["paladin"] = { ["cps"] = true, },
		["druid"] = { ["cps"] = true, },
		["monk"] = { ["cps"] = true, },
		["hunter"] = {
			["mm"] = true,
			["bm"] = true,
			},
		["warrior"] = { ["fury"] = true, },
		["shaman"] = { ["enhancer"] = true, },
		["priest"] = {
			["shadow"] = true,
			["disci"] = true,
			},
		["warlock"] = {
			["affli"] = true,
			["demo"] = true,
			["destro"] = true,
			},
		["mage"] = { ["arcane"] = true, },
		},
	["frame"] = {
		["strata"] = {
			["cps"] = 3,
			["markers"] = 3,
			["powerbar"] = 3,
			["text"] = 3,
			},
		["infightdelay"] = 0,
		["show"] = true, 
		["fadeout"] = true, 
		["energy"] = {
			["infightshow"] = false,
			["stealthshow"] = true,
			["targetSetshow"] = true,
			["vehiclehide"] = false,
			["petBattleHide"] = true,
			["showWithPowerType"] = {
				["FOCUS"] = true,
				["MANA"] = true,
				["RUNIC_POWER"] = true,
				["ENERGY"] = true,
				["RAGE"] = true,
				},
			["show"] = true, 
			["vehicleEnergy"] = true,
			["size"] = {["width"]=400,  ["height"]=30},
			["position"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
			["typecolored"]=true,
			["classcolored"]=false,
			["bgcolor"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=0.5},
			["color"]={["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
			["fadeout"] = true, 
			["altcolors"] = {
				["full"] = 0.95,
				["fullInc"] = false,
				["empty"] = 0.05,
				["emptyInc"] = false,
				["use"] = {false, false, false, false, false, false},
				["typecolored"] = {false, false, false, false, false, false},
				["classcolored"] = {false, false, false, false, false, false},
				["1"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["2"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["3"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["4"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["5"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["6"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["7"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["8"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["9"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				["10"] = {["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
				},
			["alphabyenergy"]=false,
			["border"] = {
				["texture"] = "Solid",
				["color"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["size"]=2,
				},
			["textureToUse"] = 1,
			["bg"]="Solid",
			["bg2"]="None",
			["bg_texture"]="Solid",
			["markers"]={
				["points"] =  {},
				["points_spec_a"] =  {},
				["points_spec_b"] =  {},
				["width"] = 3,
				["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["color_likebg"] = false,
				["border"] = {
					["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["size"] = 1,
					["color_likebg"] = true,
					},
				},
			["usedcolor"] = {["r"]=1, ["g"]=0.6, ["b"]=0, ["a"]=1},
			["text"]={
				}
			},
		["combo"] = {
			["vehicleCps"] = true,
			["infightshow"] = false,
			["stealthshow"] = true,
			["targetSetshow"] = true,
			["vehiclehide"] = false,
			["petBattleHide"] = true,
			["showWithPowerType"] = {
				["FOCUS"] = true,
				["MANA"] = true,
				["RUNIC_POWER"] = true,
				["ENERGY"] = true,
				["RAGE"] = true,
				},
			["show"] = true,
			["fadeout"] = true,
			["intMode"] = true,
			["clipToPower"] = {
				["toggle"] = true,
				["x"]=0,
				["y"]=40,
				["anchor"]="CENTER",
				["anchorFrame"]="CENTER",
				},
			["posSize"] = {
				["10"] = {
					["change"] = false,
					["width"] = 36,
					["height"] = 30,
					["10"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["9"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["8"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["7"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["6"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["9"] = {
					["change"] = false,
					["width"] = 40,
					["height"] = 30,
					["9"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["8"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["7"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["6"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["8"] = {
					["change"] = false,
					["width"] = 45,
					["height"] = 30,
					["8"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["7"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["6"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["7"] = {
					["change"] = false,
					["width"] = 50,
					["height"] = 30,
					["7"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["6"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["6"] = {
					["change"] = false,
					["width"] = 60,
					["height"] = 30,
					["6"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["5"] = {
					["change"] = false,
					["width"] = 72,
					["height"] = 30,
					["5"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["4"] = {
					["change"] = false,
					["width"] = 90,
					["height"] = 30,
					["4"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["3"] = {
					["change"] = false,
					["width"] = 120,
					["height"] = 30,
					["3"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["2"] = {
					["change"] = false,
					["width"] = 180,
					["height"] = 30,
					["2"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				["1"] = {
					["change"] = false,
					["width"] = 360,
					["height"] = 30,
					["1"] = {["x"]=0,  ["y"]=0, ["anchor"]="CENTER", ["anchorFrame"]="CENTER"},
					},
				},
			["measure"] = {
				["gap"] = 10,
				["offset"] = 20,
				["height"] = 30,
				["y"] = 40
				},
			["bg_texture"]="Solid",
			["bg"] = {
				["allowchange"] = true,
				["cpchange"] = "3",
				["cpchangeOnMax"] = false,
				["cpchangeonly"] = false,
				["color"] = {
					["1"] = {["r"]=1, ["g"]=0.929, ["b"]=0.0156, ["a"]=1},
					["2"] = {["r"]=0.7725, ["g"]=1, ["b"]=0.043, ["a"]=1},
					["3"] = {["r"]=0.314, ["g"]=1, ["b"]=0.6666, ["a"]=1},
					["4"] = {["r"]=0, ["g"]=1, ["b"]=0.753, ["a"]=1},
					["5"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["6"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["7"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["8"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["9"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["10"] = {["r"]=0.0078, ["g"]=0.757, ["b"]=1, ["a"]=1},
					["change"] = {["r"]=1, ["g"]=0, ["b"]=0, ["a"]=1},
					["used"] = {["r"]=1, ["g"]=0.6, ["b"]=0, ["a"]=1},
					},
				},
			["border"] = {
				["texture"] = "Solid",
				["size"] = 1,
				["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				},
			}
		}
	}

vexpower_text_defaults = {
	["1"]={
		["text"]="[PowerCurrent]",
		["font"]="Friz Quadrata TT",
		["size"]=14,
		["align"]="LEFT",
		["x"]=5,
		["y"]=-7,
		["cptext"] = false,
		["anchor"]="TOPLEFT",
		["anchor2"]="TOPLEFT",
		["width"]=100,
		["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
		["effect"]="OUTLINE",
		["shadow"]={
			["allow"] = false,
			["offset"] = {["x"] = 5, ["y"] = 5},
			["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
			}
		},
	["2"]={
		["text"]="[PowerMax]",
		["font"]="Friz Quadrata TT",
		["size"]=14,
		["align"]="RIGHT",
		["x"]=-5,
		["y"]=-7,
		["cptext"] = false,
		["anchor"]="TOPRIGHT",
		["anchor2"]="TOPRIGHT",
		["width"]=100,
		["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
		["effect"]="OUTLINE",
		["shadow"]={
			["allow"] = false,
			["offset"] = {["x"] = 5, ["y"] = 5},
			["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
			}
		},
	["3"] = {
		["text"] = "[TimeLeft][PowerAltCurrent]",
		["font"] = "Friz Quadrata TT",
		["size"] = 14,
		["align"] = "LEFT",
		["x"] = 25,
		["y"] = 50,
		["cptext"] = true,
		["anchor"] = "TOPLEFT",
		["anchor2"] = "LEFT",
		["width"] = 100,
		["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
		["effect"] = "OUTLINE",
		["shadow"] = {
			["allow"] = false,
			["offset"] = {["x"] = 5, ["y"] = 5},
			["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
			},
		},
	}

vexpower_default_textfield = {
		["text"]="",
		["font"]="Friz Quadrata TT",
		["size"]=14,
		["align"]="LEFT",
		["x"]=5,
		["y"]=-7,
		["cptext"] = false,
		["anchor"]="TOPLEFT",
		["anchor2"]="TOPLEFT",
		["width"]=100,
		["color"]={["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
		["effect"]="OUTLINE",
		["shadow"]={
			["allow"] = false,
			["offset"] = {["x"] = 5, ["y"] = 5},
			["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
			}
	}
	
	
vexpower_default_marker = {
	["FOCUS"] = true,
	["MANA"] = true,
	["RUNIC_POWER"] = true,
	["ENERGY"] = true,
	["RAGE"] = true,
	}